## keystone 8.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6
WebOb>=1.2.3
eventlet>=0.17.4
greenlet>=0.3.2
PasteDeploy>=1.5.0
Paste
Routes!=2.0,!=2.1,>=1.12.3;python_version=='2.7'
Routes!=2.0,>=1.12.3;python_version!='2.7'
cryptography>=1.0 # Apache-2.0
six>=1.9.0
SQLAlchemy<1.1.0,>=0.9.9
sqlalchemy-migrate>=0.9.6
stevedore>=1.5.0 # Apache-2.0
passlib>=1.6
python-keystoneclient>=1.6.0
keystonemiddleware>=2.0.0
oslo.concurrency>=2.3.0 # Apache-2.0
oslo.config>=2.3.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.messaging!=1.17.0,!=1.17.1,>=1.16.0 # Apache-2.0
oslo.db>=2.4.1 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.log>=1.8.0 # Apache-2.0
oslo.middleware>=2.8.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.service>=0.7.0 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0
oauthlib>=0.6
pysaml2>=2.4.0
dogpile.cache>=0.5.4
jsonschema!=2.5.0,<3.0.0,>=2.0.0
pycadf>=1.1.0
msgpack-python>=0.4.0

## keystone 1.0~d4~20110909.1108

=== debian/changelog ===
keystone (1.0~d4~20110909.1108-0ubuntu3) oneiric; urgency=low

  [Juan Negron]
  * Added debian/patches/foreign_key.patch:  Fixed bug which attempted to to
    obtain a service_id by passing an Integer rather than a String to the
    Column function in models.py. (LP: #861682)

  [Brian Thomason]
  * Removed "|| true" from test execution in debian/rules as it was masking a
    failure.  After investigating the failure further, it was found that two
    files were missing from the contrib/extensions/service/raxkey dir that were
    a part of trunk at the time. (LP: #861813)
    - added keystone/contrib/extensions/service/raxkey/extension.xml
    - added keystone/contrib/extensions/service/raxkey/extension.json

 -- Brian Thomason <brian.thomason@canonical.com>  Wed, 28 Sep 2011 15:30:19 -0400

keystone (1.0~d4~20110909.1108-0ubuntu2) oneiric; urgency=low

  [Chuck Short]
  * Install configuration files. 
  * debian/patches/sql_connection.patch: 
    Specify a path for the sqlite database.
  * debian/rules: Add get-origs-source.

  [Juan L. Negron]
  * debian/control, debian/keystone.install:
    + Update dependencies for python-keystone.
    + Reanamed logging config file to match upstream.
      (LP: #860778)

  [Monty Taylor]
  * Added a conditional on dh_python2 so that the package works on lucid.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 27 Sep 2011 15:36:35 -0400

keystone (1.0~d4~20110909.1108-0ubuntu1) oneiric; urgency=low

  [Chuck Short]
  * New upstream release.
  * debian/control:
    + Bump standards to 3.9.2.
    + Fix lintian warnings.
    + Update maintainer.
  * debian/rules: Dont fail to build if tests fail.
  
  [Dan Prince]
  * Fix debian/rules file so it works with nodoc.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 09 Sep 2011 16:25:30 -0400

keystone (1.0~d4~20110823.1078-0ubuntu0) UNRELEASED; urgency=low

  * Add python-mox as a build depend.

 -- Monty Taylor <mordred@inaugust.com>  Fri, 09 Sep 2011 11:00:27 -0700

keystone (1.0~d4~20110819.1045-0ubuntu1) UNRELEASED; urgency=low

  * New upstream release.
  * Removed fix_tests patch (don't need it any more)
  * Fixed debian/watch file.
  * Use root level run_tests now.
  * We need a special version of webob.
  * Added adduser depend.
  * Added python-sphinx build depend.

 -- Monty Taylor <mordred@inaugust.com>  Wed, 24 Aug 2011 09:05:05 -0700

keystone (1.0~20110713.1-0ubuntu1~ppa1) UNRELEASED; urgency=low

  * Add keystone-docs package.

 -- Soren Hansen <soren@ubuntu.com>  Thu, 14 Jul 2011 10:47:13 +0200

keystone (1.0~20110711.1-0ubuntu1~ppa1) oneiric; urgency=low

  * Initial upload.

 -- Soren Hansen <soren@ubuntu.com>  Wed, 25 May 2011 15:57:15 +0200

=== debian/control ===
Source: keystone
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Monty Taylor <mordred@inaugust.com>
Uploaders: Soren Hansen <soren@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50),
 python-all (>= 2.6),
 python-all-dev (>= 2.6.6-3~) | python-support,
 python-eventlet (>= 0.9.15),
 python-httplib2,
 python-ldap,
 python-lxml,
 python-memcache,
 python-mox,
 python-nova,
 python-paste,
 python-routes,
 python-sphinx,
 python-sqlalchemy,
 python-swift,
 python-unittest2,
 python-webob,
 python-webtest,
Standards-Version: 3.9.2
XS-Python-Version: >= 2.6
Homepage: http://launchpad.net/keystone

Package: python-keystone
Architecture: all
Section: python
Depends: ${python:Depends}, ${misc:Depends},
 python-sqlalchemy,
 python-routes,
 python-lxml,
 python-eventlet,
 python-paste,
 python-pastedeploy
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Proposed OpenStack identity service - Python library
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the Python libraries.

Package: keystone
Architecture: all
Section: python
Depends: ${python:Depends}, ${misc:Depends},
 python-keystone (= ${source:Version}),
 adduser
Description: Proposed OpenStack identity service - Daemons
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the daemons.

Package: keystone-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery
Description: Proposed OpenStack identity service - Documentation
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

# Lucid does not have dh_python2, but we would like to be able to use this
# rules file to build on lucid as well. Thus the branching logic.
WITH_PYTHON2 = $(shell test -f /usr/bin/dh_python2 && echo "--with python2")


%:
	dh $@ ${WITH_PYTHON2}

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	bash run_tests.sh -N
endif

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python setup.py build_sphinx
else
	mkdir -p $(CURDIR)/build/sphinx/html
	mkdir -p $(CURDIR)/build/sphinx/man
	touch $(CURDIR)/build/sphinx/man/keystone-manage.1
endif

override_dh_install:
	dh_install
	rm -rf debian/python-keystone/usr/lib/python*/*/doc
	rm -rf debian/python-keystone/usr/lib/python*/*/tools
	rm -rf debian/python-keystone/usr/lib/python*/*/examples

ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
override_dh_installdocs:
	dh_installdocs
	rm -f $(CURDIR)/debian/keystone-doc/usr/share/doc/keystone-doc/html/_static/jquery.js
	ln -s ../../../../javascript/jquery/jquery.js $(CURDIR)/debian/keystone-doc/usr/share/doc/keystone-doc/html/_static/jquery.js
endif

override_dh_clean:
	rm -rf $(CURDIR)/build $(CURDIR)/keystone.egg-info $(CURDIR)/.cache
	rm -f $(CURDIR)/keystone/test/keystone.sql.log $(CURDIR)/keystone/test/keystone.ldap.log
	dh_clean

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

## keystone 8.0.0

=== debian/changelog ===
keystone (2:8.0.0-0ubuntu1) wily; urgency=medium

  * New upstream release for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2015 12:58:56 -0400

keystone (2:8.0.0~rc2-0ubuntu1) wily; urgency=medium

  * New upstream release candidate for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 06 Oct 2015 11:29:02 -0400

keystone (2:8.0.0~rc1-0ubuntu1) wily; urgency=medium

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.

  [ James Page ]
  * d/watch: Update to cope with upstream rc versioning.
  * d/control: Bump minimum pbr version to 1.8.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 25 Sep 2015 09:14:16 +0100

keystone (2:8.0.0~b3-0ubuntu2) wily; urgency=medium

  * d/control: Set minimum version requirement for passlib >= 1.6.
  * d/control: Set minimum version requirement for routes >= 2.2.
  * d/control: Add BD's on ldap, ldappool and pymongo to resolve unit
    testing failures for optional features.

 -- James Page <james.page@ubuntu.com>  Fri, 11 Sep 2015 14:48:27 +0100

keystone (2:8.0.0~b3-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.
  * d/p/add-version-info.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Sep 2015 15:58:20 -0400

keystone (2:8.0.0~b2-0ubuntu2) wily; urgency=medium

  * d/control: Add python-pymysql to (build-)depends.
  * d/keystone.install: Remove convert_to_sqlite.sh as upstream has removed it.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 27 Aug 2015 09:43:03 -0400

keystone (2:8.0.0~b2-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.
  * d/p/default-log-dir.patch: Rebased.
  * d/p/add-version-info.patch: Rebased.
  * d/p/skip-drop-fk-sqlite.patch: Dropped. Fixed upstream.
  * d/rules: Remove .eggs directory in override_dh_auto_clean.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 19 Aug 2015 11:18:08 -0400

keystone (2:8.0.0~b1-0ubuntu2) wily; urgency=medium

  * d/p/skip-drop-fk-sqlite.patch: Cherry pick fix for SQlAlchemy >= 1.0
    compatiblity from upstream VCS.

 -- James Page <james.page@ubuntu.com>  Fri, 24 Jul 2015 10:39:31 +0100

keystone (2:8.0.0~b1-0ubuntu1) wily; urgency=medium

  * New milestone for OpenStack Liberty.
    - d/control: Align with upstream dependencies and versions.
    - d/p/*: Refresh.
  * d/s/options: Ignore any changes to egg-info files.

 -- James Page <james.page@ubuntu.com>  Thu, 25 Jun 2015 11:03:43 +0100

keystone (1:2015.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack kilo. (LP: #1449744)

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Apr 2015 16:16:32 +0200

keystone (1:2015.1~rc1-0ubuntu1) vivid; urgency=medium

  [ Chuck Short ]
  - New upstream milestone:
    - d/control: Align with upstream version requirements.
    - d/add-version-info.patch: Refreshed

  [ James Page ]
  * d/p/pep-0476.patch: Dropped, included upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 15 Apr 2015 13:57:49 -0400

keystone (1:2015.1~b3-0ubuntu1) vivid; urgency=medium

  * d/pydist-overrides: Add overrides for oslo packages.
  * New upstream milestone:
    - d/p/*: Refreshed.
    - d/control: Align with upstream version requirements.
    - d/control: Add new dependencies on oslo-log, oslo-policy, cryptography
      and msgpack.
  * Enable federation support as now part of core pipeline:
    - d/control: Add BD on pysaml2.
    - d/p/skip-pysaml2.patch: Dropped, no longer required.
  * d/keystone.logrotate: Wildcard log file matching to ensure any keystone
    log files are rotated, irrespective of naming (LP: #1426530).
  * d/python-keystone.install: Install wsgi wrapper as this is now the
    recommended deployment option from upstream (LP: #1426462).

 -- James Page <james.page@ubuntu.com>  Mon, 30 Mar 2015 11:15:48 +0100

keystone (1:2015.1~b2-0ubuntu4) vivid; urgency=medium

  * d/t/keystone-paste.ini,keystone-daemon: Drop autopkgtest specific ini
    file and use package supplied file instead; allow keystone daemons to
    start prior to testing for presence.

 -- James Page <james.page@ubuntu.com>  Mon, 16 Mar 2015 12:39:07 +0000

keystone (1:2015.1~b2-0ubuntu3) vivid; urgency=medium

  * d/p/skip-pysaml2.patch,d/control: Drop pysaml2 from BD's, restore test
    to skip unit tests for now. Ubuntu MIR still outstanding and we need to
    fix systemd support for testing.

 -- James Page <james.page@ubuntu.com>  Mon, 16 Mar 2015 11:28:54 +0000

keystone (1:2015.1~b2-0ubuntu2) vivid; urgency=medium

  * d/control: Drop python-sqlite from BD's, as it supports optional unit
    test cases only. 

 -- James Page <james.page@ubuntu.com>  Thu, 19 Feb 2015 10:38:57 +0000

keystone (1:2015.1~b2-0ubuntu1) vivid; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
    - d/control: Align with upstream dependencies.
    - d/p/fix-ubuntu-tests.patch: Dropped. Patched code has been removed.
    - d/p/sql_connection.patch: Rebased.
    - d/p/default-log-dir.patch: Rebased.
    - d/p/add-version-info.patch: Rebased.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 12 Feb 2015 16:12:01 -0500

keystone (1:2015.1~b1-0ubuntu3) vivid; urgency=medium

  * Rebuild to pick up pkgos upstart generation fix.
    - d/control: Bump openstack-pkg-tools to ensure upstart fix inclusion.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Jan 2015 16:26:11 +0000

keystone (1:2015.1~b1-0ubuntu2) vivid; urgency=medium

  * Systemd enablement:
    - d/control: Add BD's on openstack-pkg-tools, dh-systemd.
    - d/rules: Enable use of dh-systemd and templated init configuration
      generation.
    - d/keystone.init.in: Cherry pick template configuration from
      Debian package (thanks Thomas).
    - d/keystone.upstart: Drop in preference to generated file.


=== debian/control ===
Source: keystone
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Monty Taylor <mordred@inaugust.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-coverage (>= 3.6),
                     python-cryptography (>= 1.0),
                     python-dogpile.cache (>= 0.5.4),
                     python-eventlet (>= 0.17.4),
                     python-fixtures (>= 1.3.1),
                     python-greenlet (>= 0.3.2),
                     python-hacking,
                     python-jsonschema (>= 2.0.0),
                     python-keystoneclient (>= 1:1.6.0),
                     python-keystonemiddleware (>= 2.0.0),
                     python-ldap (>= 2.4),
                     python-ldappool (>= 1.0),
                     python-lxml (>= 2.3),
                     python-migrate (>= 0.9.6),
                     python-mock (>= 1.2),
                     python-msgpack (>= 0.4.0),
                     python-oauthlib (>= 0.6),
                     python-oslo.concurrency (>= 2.3.0),
                     python-oslo.config (>= 1:2.3.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 2.4.1),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.log (>= 1.8.0),
                     python-oslo.messaging (>= 1.16.0),
                     python-oslo.middleware (>= 2.8.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.service (>= 0.7.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-passlib (>= 1.6),
                     python-paste,
                     python-pastedeploy (>= 1.5.0),
                     python-pycadf (>= 1.1.0),
                     python-pymongo (>= 3.0.2),
                     python-pymysql,
                     python-pysaml2 (>= 2.4.0),
                     python-requests (>= 2.5.2),
                     python-routes (>= 2.2),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 0.9.9),
                     python-stevedore (>= 1.5.0),
                     python-tempest-lib (>= 0.8.0),
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.2.3),
                     python-webtest (>= 2.0),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
Standards-Version: 3.9.6
XS-Python-Version: >= 2.6
Homepage: http://launchpad.net/keystone
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/keystone
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/keystone
XS-Testsuite: autopkgtest

Package: python-keystone
Architecture: all
Section: python
Depends: python-cryptography (>= 1.0),
         python-dogpile.cache (>= 0.5.4),
         python-eventlet (>= 0.17.4),
         python-greenlet (>= 0.3.2),
         python-jsonschema (>= 2.0.0),
         python-keystoneclient (>= 1:1.6.0),
         python-keystonemiddleware (>= 2.0.0),
         python-migrate (>= 0.9.6),
         python-msgpack (>= 0.4.0),
         python-oauthlib (>= 0.6),
         python-oslo.concurrency (>= 2.3.0),
         python-oslo.config (>= 1:2.3.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 2.4.1),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.log (>= 1.8.0),
         python-oslo.messaging (>= 1.16.0),
         python-oslo.middleware (>= 2.8.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.service (>= 0.7.0),
         python-oslo.utils (>= 2.0.0),
         python-passlib (>= 1.6),
         python-paste,
         python-pastedeploy (>= 1.5.0),
         python-pbr (>= 1.8),
         python-pycadf (>= 1.1.0),
         python-pymysql,
         python-pysaml2 (>= 2.4.0),
         python-routes (>= 2.2),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 0.9.9),
         python-stevedore (>= 1.5.0),
         python-webob (>= 1.2.3),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-memcache,
Provides: ${python:Provides},
XB-Python-Version: ${python:Versions}
Description: OpenStack identity service - Python library
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the Python libraries.

Package: keystone
Architecture: all
Section: python
Depends: adduser,
         python-keystone (= ${source:Version}),
         ssl-cert (>= 1.0.12),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack identity service - Daemons
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the daemons.

Package: keystone-doc
Architecture: all
Section: doc
Depends: libjs-jquery,
         ${misc:Depends},
Description: OpenStack identity service - Documentation
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the documentation.

## keystone 8.1.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6
WebOb>=1.2.3
eventlet>=0.17.4
greenlet>=0.3.2
PasteDeploy>=1.5.0
Paste
Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
cryptography>=1.0 # Apache-2.0
six>=1.9.0
SQLAlchemy<1.1.0,>=0.9.9
sqlalchemy-migrate>=0.9.6
stevedore>=1.5.0 # Apache-2.0
passlib>=1.6
python-keystoneclient!=1.8.0,<3.0.0,>=1.6.0
keystonemiddleware!=2.4.0,>=2.0.0
oslo.concurrency>=2.3.0 # Apache-2.0
oslo.config>=2.3.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.messaging!=1.17.0,!=1.17.1,!=2.6.0,!=2.6.1,!=2.7.0,!=2.8.0,!=2.8.1,!=2.9.0,!=3.1.0,>=1.16.0 # Apache-2.0
oslo.db>=2.4.1 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.log>=1.8.0 # Apache-2.0
oslo.middleware!=3.0.0,!=3.1.0,!=3.2.0,>=2.8.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.service>=0.7.0 # Apache-2.0
oslo.utils!=2.6.0,>=2.0.0 # Apache-2.0
oauthlib>=0.6
pysaml2>=2.4.0
dogpile.cache>=0.5.4
jsonschema!=2.5.0,<3.0.0,>=2.0.0
pycadf>=1.1.0
msgpack-python>=0.4.0

=== debian/changelog ===
keystone (2:8.1.2-0ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 01 Jun 2016 13:58:25 +0000

keystone (2:8.1.2-0ubuntu1) wily; urgency=medium

  [ James Page ]
  * New upstream version.
  * d/p/*: Refresh.

  [ David Della Vecchia ]
  * New upstream point release for OpenStack Liberty (LP: #1587589).

 -- David Della Vecchia <ddv@canonical.com>  Tue, 31 May 2016 13:54:41 -0400

keystone (2:8.1.0-0ubuntu1) wily; urgency=medium

  * New upstream stable release (LP: #1559935).

 -- James Page <james.page@ubuntu.com>  Mon, 21 Mar 2016 10:31:51 +0000

keystone (2:8.0.1-0ubuntu1) wily; urgency=medium

  * New upstream point release for OpenStack Liberty (LP: #1530913).

 -- James Page <james.page@ubuntu.com>  Thu, 07 Jan 2016 12:02:10 +0000

## keystone 9.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
WebOb>=1.2.3 # MIT
eventlet!=0.18.3,>=0.18.2 # MIT
greenlet>=0.3.2 # MIT
PasteDeploy>=1.5.0 # MIT
Paste # MIT
Routes!=2.0,!=2.1,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,>=1.12.3;python_version!='2.7' # MIT
cryptography>=1.0 # BSD/Apache-2.0
six>=1.9.0 # MIT
SQLAlchemy<1.1.0,>=1.0.10 # MIT
sqlalchemy-migrate>=0.9.6 # Apache-2.0
stevedore>=1.5.0 # Apache-2.0
passlib>=1.6 # BSD
python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
keystonemiddleware!=4.1.0,>=4.0.0 # Apache-2.0
oslo.cache>=1.5.0 # Apache-2.0
oslo.concurrency>=3.5.0 # Apache-2.0
oslo.config>=3.7.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.messaging>=4.0.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.0.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
oauthlib>=0.6 # BSD
pysaml2<4.0.3,>=2.4.0 # Apache-2.0
dogpile.cache>=0.5.7 # BSD
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
pycadf!=2.0.0,>=1.1.0 # Apache-2.0
msgpack-python>=0.4.0 # Apache-2.0

=== debian/changelog ===
keystone (2:9.0.0-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * 

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 May 2016 22:17:55 +0000

keystone (2:9.0.0-2) unstable; urgency=high

  [ Ondřej Nový ]
  * Use /bin/sh as su shell in postinst script explicitly
  * Standards-Version is 3.9.8 now (no change)
  * Use /bin/sh instead of /bin/bash as default shell for "keystone" user

  [ Thomas Goirand ]
  * Fix the cron job to not run if we're not using UUID tokens, as it otherwise
    fail and fill-up the log file (LP: #1520321).
  * CVE-2016-4911: Incorrect Audit IDs in Keystone Fernet Tokens can result in
    revocation bypass. Add upstream patch: "Fix fernet audit ids for v2.0".
    (Closes: #824683).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 May 2016 07:22:58 +0000

keystone (2:9.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Apr 2016 17:53:48 +0200

keystone (2:9.0.0~rc2-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 22:56:57 +0200

keystone (2:9.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Require version >= 0.10.0 of python-migrate to make sure we have the
    python-decorator package installed.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Mar 2016 16:12:36 +0100

keystone (2:9.0.0~b3-2) experimental; urgency=medium

  * Using "keystone-manage bootstrap" to create the initial admin, and then
    using it to further create users and endpoints. Note that through using
    environment variables, no passwords are leaking in /proc.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Mar 2016 21:31:44 +0000

keystone (2:9.0.0~b3-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version: 3.9.7 (no change).
  * Rebased / refresh all patches.

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Mar 2016 20:00:57 +0800

keystone (2:9.0.0~b2-3) experimental; urgency=medium

  * Added auto-creation of the Member and ResellerAdmin roles as this is
    needed for Swift auto-account-creation to work.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Feb 2016 08:11:14 +0000

keystone (2:9.0.0~b2-2) experimental; urgency=medium

  * Added git as build-depends.
  * Bump EPOCH to align with Ubuntu.
  * Remove version of init-system-helpers in keystone depends, as 1.18 is not
    available in Trusty.
  * By default, add a heat_stack_owner role.

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 Jan 2016 16:09:28 +0800

keystone (1:9.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed debian/copyright ordering.
  * Standards-Version is now 3.9.6 (no change).
  * Fix syntax error on an old debian/changelog entry.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Dec 2015 12:32:48 +0100

keystone (1:8.0.0-4) unstable; urgency=medium

  * If the debconf prompt for creating Keystone endpoint was yes, check first
    if there's no service already registered.
  * Also create a service project when creating users and tenants.
  * Setting-up /v2.0 as endpoint URL for Keystone to avoid compatibility issues
    with some services, even though we're using API v3.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Nov 2015 09:06:22 +0000

keystone (1:8.0.0-3) unstable; urgency=medium

  * Switching Keystone to use and configure API v3 by default.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Nov 2015 13:04:02 +0000

keystone (1:8.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 13:11:24 +0000

keystone (1:8.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Now depends on pymysql.
  * Added a /etc/apache2/sites-available/wsgi-keystone.conf.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Oct 2015 14:56:01 +0200

keystone (1:8.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Rebased fixes-jsonschema-requirements.txt.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Sep 2015 14:11:47 +0200

keystone (1:8.0.0~b3-4) experimental; urgency=medium

  * Doing the db_sync using the --noverbose option.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Sep 2015 12:40:13 +0000

keystone (1:8.0.0~b3-3) experimental; urgency=medium

  * Re-enabled KeystoneAdmin and KeystoneServiceAdmin roles, and using
    openstackclient instead of keystoneclient which is deprecated.
  * Stop doing pki_setup (it's not recommended upstream anymore).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Sep 2015 09:36:02 +0000

keystone (1:8.0.0~b3-2) experimental; urgency=medium

  * Fixed some (build-)depends versions.
  * Added patch to fix requiremnts.txt regarding python-jsonschema version.
  * Fixed admin user, role and tenant creation.
  * Back to /v2.0/ endpoints.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Sep 2015 08:45:50 +0000

keystone (1:8.0.0~b3-1) experimental; urgency=medium

  * New upstream release.
  * Now setting-up /v3 endpoint, not /v2.0.
  * Added AppArmor confinement for keystone-all.
  * Upstream removed run_tests.sh, now using testr directly.

 -- Thomas Goirand <zigo@debian.org>  Tue, 11 Aug 2015 14:36:02 +0200

keystone (1:8.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Jul 2015 12:29:17 +0200

keystone (2015.1.0-2) unstable; urgency=medium

  * Accepting SQLA 1.0.6.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Jul 2015 02:47:07 +0000

keystone (2015.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Apr 2015 20:55:28 +0000

keystone (2015.1~rc2-1) unstable; urgency=medium



=== debian/control ===
Source: keystone
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               dh-apparmor,
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: git,
                     python-bashate,
                     python-coverage,
                     python-crypto,
                     python-cryptography (>= 1.0),
                     python-dogpile.cache (>= 0.5.7),
                     python-eventlet (>= 0.18.4),
                     python-fixtures (>= 1.3.1),
                     python-greenlet,
                     python-hacking,
                     python-jsonschema,
                     python-keystoneclient (>= 1:1.6.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-ldap,
                     python-ldappool,
                     python-lxml,
                     python-memcache (>= 1.56),
                     python-migrate (>= 0.10.0),
                     python-mock (>= 1.3),
                     python-msgpack,
                     python-oauthlib,
                     python-oslo.cache (>= 1.5.0),
                     python-oslo.concurrency (>= 3.5.0),
                     python-oslo.config (>= 1:3.7.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.i18n (>= 2.5.0),
                     python-oslo.log (>= 2.0.0),
                     python-oslo.messaging (>= 4.0.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.service (>= 1.0.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-os-testr (>= 0.4.1),
                     python-pam,
                     python-passlib (>= 1.6),
                     python-paste,
                     python-pastedeploy,
                     python-pycadf (>= 1.1.0),
                     python-pymongo (>= 3.0.1),
                     python-pysaml2 (>= 3.0.0),
                     python-pysqlite2,
                     python-routes,
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.5.0),
                     python-tempest-lib (>= 0.14.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-unittest2,
                     python-webob,
                     python-webtest,
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Homepage: http://keystone.openstack.org/
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/keystone.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/keystone.git

Package: python-keystone
Architecture: all
Section: python
Depends: python-crypto,
         python-cryptography (>= 1.0),
         python-dateutil,
         python-dogpile.cache (>= 0.5.7),
         python-eventlet (>= 0.18.4),
         python-greenlet,
         python-jsonschema,
         python-keystoneclient (>= 1:1.6.0),
         python-keystonemiddleware (>= 4.0.0),
         python-ldap,
         python-ldappool,
         python-lxml,
         python-memcache (>= 1.56),
         python-migrate (>= 0.10.0),
         python-msgpack,
         python-mysqldb,
         python-oauthlib,
         python-openstackclient (>= 1.6.0),
         python-oslo.cache (>= 1.5.0), 
         python-oslo.concurrency (>= 3.5.0),
         python-oslo.config (>= 1:3.7.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.i18n (>= 2.5.0),
         python-oslo.log (>= 2.0.0),
         python-oslo.messaging (>= 4.0.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.service (>= 1.0.0),
         python-oslo.utils (>= 3.5.0),
         python-pam,
         python-passlib (>= 1.6),
         python-paste,
         python-pastedeploy,
         python-pbr (>= 1.8),
         python-pycadf (>= 1.1.0),
         python-pymysql,
         python-pysaml2 (>= 3.0.0),
         python-pysqlite2,
         python-routes,
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.5.0),
         python-webob,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack identity service - library
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This package contains the Python libraries.

Package: keystone
Architecture: all
Depends: adduser,
         dbconfig-common,
         init-system-helpers,
         python-keystone (= ${source:Version}),
         q-text-as-data,
         sqlite3,
         ssl-cert (>= 1.0.12),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Suggests: apparmor
Description: OpenStack identity service
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This package contains the daemons.

Package: keystone-doc
Architecture: all
Section: doc
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: OpenStack identity service - documentation
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

# auth_token middleware now requires access to HOME, otherwise
# test suite cause FTBFS.  See (LP: #1031022)
export HOME="$(CURDIR)/debian/tests/"

# This is to avoid git clone of keystoneclient when running unit tests.
# See https://review.openstack.org/122768/
export KSCTEST_PATH=/usr/lib/python2.7/dist-packages/keystoneclient

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	mkdir -p $(CURDIR)/keystone/tests/tmp
	patch -p1 -R <debian/patches/fixes-default-connection.patch
	set -e ; set -x ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'keystone\.tests\.unit.*' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
	patch -p1 <debian/patches/fixes-default-connection.patch
endif



override_dh_auto_build:
	dh_auto_build

	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func keystone.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func keystone.postinst

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/keystone-doc/usr/share/doc/keystone-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b man doc/source doc/build/man
	dh_installman -O--buildsystem=python_distutils
endif

override_dh_install:
	dh_install --fail-missing
	rm -rf debian/python-keystone/usr/lib/python*/*/doc
	rm -rf debian/python-keystone/usr/lib/python*/*/tools
	rm -rf debian/python-keystone/usr/lib/python*/*/examples
	install -D -m 0600 $(CURDIR)/debian/logging.conf $(CURDIR)/debian/keystone/etc/keystone/logging.conf
	install -D -m 0640 etc/keystone.conf.sample $(CURDIR)/debian/keystone/usr/share/keystone/keystone.conf
	sed -i -e "s|^[ \t#]*template_file[ \t#]*=.*|template_file = /etc/keystone/default_catalog.templates|" $(CURDIR)/debian/keystone/usr/share/keystone/keystone.conf
	sed -i -e "s|^[ \t#]*log_dir[ \t#]*=.*|log_dir = /var/log/keystone|" $(CURDIR)/debian/keystone/usr/share/keystone/keystone.conf
	sed -i -e "s|^[ \t#]*log_file[ \t#]*=.*|log_file = keystone.log|" $(CURDIR)/debian/keystone/usr/share/keystone/keystone.conf
	cp -f etc/keystone.conf.sample debian/keystone/usr/share/doc/keystone/keystone.conf.sample

	install -D -m 0644 httpd/keystone.py $(CURDIR)/debian/python-keystone/usr/share/keystone/wsgi.py
	dh_python2 /usr/share/keystone

	install -D -m 0644 debian/keystone.apparmor $(CURDIR)/debian/keystone/etc/apparmor.d/usr.bin.keystone-all
	dh_apparmor --profile-name=usr.bin.keystone-all

override_dh_clean:
	rm -rf $(CURDIR)/build $(CURDIR)/keystone.egg-info $(CURDIR)/.cache
	rm -rf $(CURDIR)/keystone/test/keystone.sql.log $(CURDIR)/keystone/test/keystone.ldap.log
	rm -rf $(CURDIR)/doc/build
	# NOTE(adam_g) The following stuff is built in /doc/source.  Safe for now, but
	# should be fixed upstream or updated here post-essex
	rm -rf $(CURDIR)/doc/source/keystone*.rst
	rm -rf $(CURDIR)/doc/source/modules.rst
	rm -rf $(CURDIR)/doc/source/sourcecode $(CURDIR)/doc/source/api
	rm -rf $(CURDIR)/admin.log $(CURDIR)/keystone-legacy-auth.log
	rm -f $(CURDIR)/debian/keystone.config $(CURDIR)/debian/keystone.postinst
	find $(CURDIR)/keystone/tests -name '*.db' -delete
	rm -rf $(CURDIR)/vendor
	rm -f $(CURDIR)/debian/tests/testing.db
	rm -f $(CURDIR)/debian/keystone.init $(CURDIR)/debian/keystone.service $(CURDIR)/debian/keystone.upstart
	dh_clean

## keystone 9.3.0

=== requirements.txt ===
--- 
+++ 
@@ -8,18 +8,18 @@
 greenlet>=0.3.2 # MIT
 PasteDeploy>=1.5.0 # MIT
 Paste # MIT
-Routes!=2.0,!=2.1,>=1.12.3;python_version=='2.7' # MIT
-Routes!=2.0,>=1.12.3;python_version!='2.7' # MIT
-cryptography>=1.0 # BSD/Apache-2.0
+Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
+Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
+cryptography!=1.3.0,>=1.0 # BSD/Apache-2.0
 six>=1.9.0 # MIT
 SQLAlchemy<1.1.0,>=1.0.10 # MIT
 sqlalchemy-migrate>=0.9.6 # Apache-2.0
 stevedore>=1.5.0 # Apache-2.0
 passlib>=1.6 # BSD
-python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
+python-keystoneclient!=1.8.0,!=2.1.0,<3.0.0,>=1.6.0 # Apache-2.0
 keystonemiddleware!=4.1.0,>=4.0.0 # Apache-2.0
 oslo.cache>=1.5.0 # Apache-2.0
-oslo.concurrency>=3.5.0 # Apache-2.0
+oslo.concurrency>=3.7.1 # Apache-2.0
 oslo.config>=3.7.0 # Apache-2.0
 oslo.context>=0.2.0 # Apache-2.0
 oslo.messaging>=4.0.0 # Apache-2.0

=== debian/changelog ===
keystone (2:9.3.0-0ubuntu3.2~cloud0) trusty-mitaka; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 18 Jan 2018 22:09:58 +0000

keystone (2:9.3.0-0ubuntu3.2) xenial; urgency=medium

  * LDAP backend performance improvements (LP: #1582585)
    - d/p/prevent-error-when-duplicate-mapping-is-created.patch:
      Handle races for creating id mappings.
    - d/p/added-cache-for-id-mapping-manager.patch: Add a cache to
      the id mapping manager to improve performance.
    - d/p/add-mapping_populate-command.patch: Add a keystone-manage
      command to populate id mappings between backend identity
      provider and keystone database.
    - d/p/faster-id-mapping-lookup.patch: Allow querying for all
      public ids in a domain at once instead of N queries (one per
      entity).
    - d/p/fallback-for-custom-id-map-drivers.patch: Add fallback
      path for faster-id-mapping lookup for any customer id mapping
      drivers that may be in use or existing deployments.

 -- Billy Olsen <billy.olsen@canonical.com>  Wed, 10 Jan 2018 14:24:36 -0700

keystone (2:9.3.0-0ubuntu3.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Incorrect role assignment with federated Keystone
    - debian/patches/CVE-2017-2673.patch: do not fetch group assignments
      without groups in keystone/assignment/core.py.
    - CVE-2017-2673
  - debian/patches/fix_requirements.patch: fix ftbfs.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 25 Aug 2017 10:41:13 -0400

keystone (2:9.3.0-0ubuntu3) xenial; urgency=medium

  * d/p/keystone_manage_mapping_engine_fix.patch: Fix keystone-manage
    mapping_engine usability issues (LP: #1655182).

 -- Frode Nordahl <frode.nordahl@canonical.com>  Tue, 25 Jul 2017 17:53:12 +0100

keystone (2:9.3.0-0ubuntu2) xenial; urgency=high

  * d/p/0001-Make-flushing-tokens-more-robust.patch: Commit
    token flushes between batches in order to lower resource
    consumption and make flushing more robust for replication
    (LP: #1649616).

 -- Jorge Niedbalski <jorge.niedbalski@canonical.com>  Wed, 07 Jun 2017 10:33:50 +0100

keystone (2:9.3.0-0ubuntu1) xenial; urgency=medium

  * New upstream point release for Openstack Mitaka. (LP: #1680098) 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 06 Apr 2017 10:02:04 -0400

keystone (2:9.2.0-0ubuntu1) xenial; urgency=medium

  * New upstream point release for OpenStack Mitaka (LP: #1619318).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 27 Sep 2016 08:23:13 -0400

keystone (2:9.1.0-0ubuntu1) xenial; urgency=medium

  * New upstream point release for OpenStack Mitaka (LP: #1614131).
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 18 Aug 2016 10:29:04 -0400

keystone (2:9.0.2-0ubuntu2) xenial; urgency=medium

  * d/keystone.install: Install sso_callback_template.html in /etc/keystone,
    where keystone.conf looks for it by default (LP: #1578102).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 08 Aug 2016 10:26:34 -0400

keystone (2:9.0.2-0ubuntu1) xenial; urgency=medium

  * New upstream point release for OpenStack Mitaka (LP: #1592865).
  * d/p/sql_connection.patch: Rebased.
  * d/p/add-version-info.patch: Rebased.
  * d/p/default-log-dir.patch: Rebased.

 -- David Della Vecchia <ddv@canonical.com>  Fri, 17 Jun 2016 13:40:58 -0400

keystone (2:9.0.0-0ubuntu1) xenial; urgency=medium

  * New upstream release for OpenStack Mitaka.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Apr 2016 14:16:00 -0400

keystone (2:9.0.0~rc1-0ubuntu1) xenial; urgency=medium

  * New upstream release candidate for OpenStack Mitaka.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Mar 2016 08:29:07 -0400

keystone (2:9.0.0~b3-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 07 Mar 2016 15:03:28 -0500

keystone (2:9.0.0~b2-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.
  * d/p/doc-conf-git.patch: Drop git commands that fail sphinx-build.
  * d/p/add-version-info.patch: Update test to account for Ubuntu header.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 21 Jan 2016 14:19:06 -0500

keystone (2:9.0.0~b1-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.
  * d/p/add-version-info.patch: Rebased.
  * d/p/default-log-dir.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Dec 2015 11:41:01 -0500

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/keystone keystone-(\d.*)\.tar\.gz
